Create Pinned Message
curl --request POST \
--url https://api.example.com/cabinet/admin/pinned-messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"media": {
"type": "<string>",
"file_id": "<string>"
},
"send_before_menu": true,
"send_on_every_start": true,
"broadcast": false
}
'import requests
url = "https://api.example.com/cabinet/admin/pinned-messages"
payload = {
"content": "<string>",
"media": {
"type": "<string>",
"file_id": "<string>"
},
"send_before_menu": True,
"send_on_every_start": True,
"broadcast": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
media: {type: '<string>', file_id: '<string>'},
send_before_menu: true,
send_on_every_start: true,
broadcast: false
})
};
fetch('https://api.example.com/cabinet/admin/pinned-messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"id": 123,
"content": "<string>",
"send_before_menu": true,
"send_on_every_start": true,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"media_type": "<string>",
"media_file_id": "<string>",
"created_by": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"sent_count": 123,
"failed_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Admin Pinned Messages
Create Pinned Message
Create a new pinned message.
Automatically deactivates previous active message. If broadcast=true, sends to all active users immediately.
POST
/
cabinet
/
admin
/
pinned-messages
Create Pinned Message
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
